#include "cmd.h"

val_t rpc_del(val_t arg,size_t n){
  char const *err;
  char const *id;
  peer_t     *p;

  if(n != 1) return usage(rpc_del);

  if(!_stringp(car(arg))){
    return arg_err("id","must be string");
  }

  id  = str_data(car(arg));
  p   = peer_lookup(id);
  if(!p){
    return peer_noexist(id);
  }

  if(!peer_del(p)){
    return rpc_err("failed to delete peer");
  }

  log_out("peer %s deleted",id);
  return val_ok;
}

