#include "cmd.h"
#include <util/hex.h>

val_t rpc_genkey(val_t arg,size_t n){
  uint8_t key[KEY_SIZE];
  char    hex[HEX_BUF(KEY_SIZE)];

  if(n != 0) return usage(rpc_genkey);

  if(!key_gen(key)){
    return rpc_err("failed to generate key");
  }

  hex_enc(hex,sizeof(hex),key,sizeof(key));
  BUF_ZERO(key);
  return list(sym("GENKEY"),str(hex));
}

