#include "cmd.h"

val_t rpc_if(val_t arg,size_t n){
  if(n == 0){
    return list(sym("IF"),str_get(state.ifa));
  }else if(n == 1){
    char const *err;
    char        ifa[IF_BUF];

    if(!str_set(car(arg),ifa,sizeof(ifa),&err)){
      return arg_err("name",err);
    }

    log_out("interface %s -> %s",state.ifa,ifa);
    strzcpy(state.ifa,ifa,sizeof(state.ifa));
    return save_cfg(1,0);
  }

  return usage(rpc_if);
}

