#ifndef DAEMON_UTIL_H
#define DAEMON_UTIL_H

#include <net/util.h>

#define ADDR_CONST(I,P,S) ((addr_t){.ip     = (I),\
                                    .port   = (P),\
                                    .stamp  = (S)})

typedef struct addr{
  uint32_t  ip;
  uint16_t  port;
  uint64_t  stamp;
}addr_t;

void        addr_init       (addr_t *a);
bool        addr_null       (addr_t a);
bool        addr_equal      (addr_t a,addr_t b);
addr_in_t   addr_to_in      (addr_t a);
addr_t      addr_from_in    (addr_in_t ai);

#endif

