#ifndef DEF_H
#define DEF_H

#include <stdint.h>
#include <stdbool.h>

#define PROG_NAME         "greasynet"
#define PROG_VERSION      "99K"
#define PROG_FULLNAME     PROG_NAME "-" PROG_VERSION

#define PATH_LEN          255
#define PATH_BUF          (1+PATH_LEN)
#define IF_LEN            15
#define IF_BUF            (1+IF_LEN)
#define ID_LEN            10
#define ID_BUF            (1+ID_LEN)

#define DATA_MODE         0700
#define ETC_MODE          0755

#define LOG_PATH          "log"
#define CFG_PATH          "cfg"
#define PEER_PATH         "peer"
#define RPCS_PATH         "rpc"
#define RPCC_PATH         "rpc"
#define RPCC_MKTEMP       "/tmp/" PROG_NAME ".XXXXXX"

#define DEFAULT_IP        IPV4_CONST(10,33,7,1)
#define DEFAULT_SUBNET    SUBNET_CONST(IPV4_CONST(10,33,7,0),24)
#define DEFAULT_UDPPORT   1337

extern char data_path[];

#endif

