#ifndef IO_INTERNAL_H
#define IO_INTERNAL_H

#include <stdio.h>
#include <stddef.h>
#include <stdbool.h>

FILE *fp_open       (char const *path,char const *mode);
bool  fp_close      (FILE *f);
bool  fp_seek       (FILE *f,size_t off,int origin);
bool  fp_tell       (FILE *f,size_t *pos);
bool  fp_size       (FILE *f,size_t *size);
bool  fp_read       (FILE *f,void *data,size_t size);
bool  fp_write      (FILE *f,void const *data,size_t size);

void  disk_read     (char const *path);
void  disk_written  (char const *path);

#endif

