#ifndef NET_DEF_H
#define NET_DEF_H

#include <stdint.h>

#define NET_NONBLOCK     0x00000001
#define NET_REUSEADDR    0x00000002
#define NET_BROADCAST    0x00000004

#define PORT_MIN                  0
#define PORT_MAX              65535

typedef struct addr_in{
  uint32_t  ip;
  uint16_t  port;
}addr_in_t;

typedef struct subnet{
  uint32_t  ip;
  unsigned  mask;
}subnet_t;

#endif

