#ifndef UNIX_H
#define UNIX_H

#include "def.h"
#include <stdint.h>
#include <stddef.h>

int unix_bind     (char const    *path,
                   uint32_t       flags,
                   size_t         bufsize);
int unix_recvfrom (int            fd,
                   char          *path_out,
                   size_t         path_out_size,
                   uint8_t       *data,
                   size_t         size,
                   size_t        *size_out);
int unix_sendto   (int            fd,
                   char const    *path,
                   uint8_t const *data,
                   size_t         size,
                   size_t        *size_out);

#endif

