#ifndef OS_H
#define OS_H

#if defined(__linux__)
  #define OS_LINUX
  #define OS_NAME "linux"
#elif defined(__FreeBSD__)
  #define OS_FBSD
  #define OS_NAME "fbsd"
#elif defined(__APPLE__)
  #define OS_APPLE
  #define OS_NAME "apple"
#else
  #error cannot determine os
#endif

#endif

