#ifndef UTIL_H
#define UTIL_H

#include <stddef.h>

#define ASSERT(C)           ((void)sizeof(char[1-2*!(C)]))
#define PTR_UNCONST(P)      ((void *)(uintptr_t)(P))
#define CEIL_DIV(N,D)       (((N)-1)/(D)+1)
#define VAR_ZERO(V)         memset_ffs((&(V)),0x00,sizeof(V))
#define BUF_ZERO(B)         memset_ffs(  (B) ,0x00,sizeof(B))
#define ARR_CNT(A)          (sizeof(A)/sizeof(*(A)))
#define ARR_INDEXOF(A,P)    ((size_t)((P)-(A)))

#define ARR_DEL(A,N,P) \
  do{\
    char   *____a = (char *)(A);\
    size_t  ____n = (N);\
    char   *____p = (char *)(P);\
    size_t  ____s = sizeof(*(A));\
    size_t  ____e = ____n*____s;\
    assert((size_t)(____p-____a) < ____e);\
    memmove(____p,____p+____s,(____a+____e)-(____p+____s));\
  }while(0)

#define ARR_DEL_IDX(A,N,I) \
  do{\
    char   *____a = (char *)(A);\
    size_t  ____n = (N);\
    size_t  ____u = (I);\
    size_t  ____s = sizeof(*(A));\
    char   *____p = ____a+____u*____s;\
    size_t  ____e = ____n*____s;\
    assert(____u < ____n);\
    memmove(____p,____p+____s,(____a+____e)-(____p+____s));\
  }while(0)

void *memset_ffs(void *dst,int c,size_t size);

#endif

