#include "cmd.h"
#include <net/util.h>
#include <daemon/pak.h>

val_t rpc_addr(val_t arg,size_t n){
  val_t       tar;
  peer_t     *p;
  char const *err;
  val_t       verr;
  addr_t      a;

  if(n != 2) return usage(rpc_addr);

  tar = _nth(0,arg);
  if(!get_target(tar,&p,&verr)){
    return verr;
  }

  if(!addr_set(_nth(1,arg),&a,&err)){
    return arg_err("addr",err);
  }

  if(p){
    peer_addr_auto(p,a);
    prod_send_cold(p,PROD_REQANS);
    return save_peer(p);
  }else{
    if(!state_addr_set(a)){
      return arg_err("addr","self ip must be external");
    }
    return save_cfg(0,0);
  }
}

