#ifndef RPC_CMD_H
#define RPC_CMD_H

#include "internal.h"
#include <def.h>
#include <daemon/state/state.h>
#include <daemon/peer/peer.h>
#include <daemon/daemon.h>
#include <daemon/internal.h>
#include <daemon/type/type.h>
#include <util/string.h>
#include <util/util.h>
#include <net/def.h>
#include <log/log.h>

#include <string.h>

extern rpc_cmdinfo_t  rpc_cmdinfo [];
extern rpc_cmd_t      rpc_cmd     [];
extern size_t         rpc_cmd_n;

extern val_t          sym_self;

#undef CMD
#define CMD(L) val_t rpc_##L(val_t arg,size_t n);

CMD(help    )
CMD(stop    )
CMD(if      )
CMD(subnet  )
CMD(ip      )
CMD(port    )
CMD(id      )
CMD(locaddr )
CMD(extaddr )
CMD(addr    )
CMD(mute    )
CMD(brd     )
CMD(add     )
CMD(del     )
CMD(addkey  )
CMD(delkey  )
CMD(genkey  )
CMD(rekey   )
CMD(prod    )
CMD(net     )
CMD(stat    )
CMD(keys    )
CMD(fkeys   )

#endif

