#include "cmd.h"

val_t rpc_port(val_t arg,size_t n){
  if(n == 0){
    return list(sym("PORT"),int_get(state.port));
  }else if(n == 1){
    char const *err;
    int64_t     port;

    if(!int_set(car(arg),&port,PORT_MIN,PORT_MAX,&err)){
      return arg_err("port",err);
    }

    log_out("port %u -> %u",state.port,port);
    state.port = port;
    return save_cfg(0,1);
  }

  return usage(rpc_port);
}

