#include "type.h"
#include "internal.h"

bool flag_set(val_t        v,
              uint32_t     f,
              uint32_t    *flags,
              char const **err){

  if(_eql(v,T)){
    *flags |= f;
  }else if(_eql(v,NIL)){
    *flags &= ~f;
  }else{
    if(err) *err = "must be nil or t";
    return 0;
  }

  return 1;
}

val_t flag_get(uint32_t f,uint32_t flags){
  return (flags & f) ? T : NIL;
}

bool flag_aset(val_t        sx,
               char const  *opt,
               uint32_t     def,
               uint32_t     f,
               uint32_t    *out,
               char const **err){

  val_t v;

  if(!cdrassoc(sx,opt,&v)){
    if(def & f){
      *out |= f;
    }else{
      *out &= ~f;
    }
    return 1;
  }

  return flag_set(v,f,out,err);
}

