#undef INT
#undef FLAG
#undef STR
#undef IP
#undef ADDR
#undef SUBNET
#undef KEYS

#define INT(N,V,I,A)\
  { int64_t tmp;\
    if(!int_aset(sx,#N,DEF_##N,I,A,&tmp,&err)){\
      err_opt = #N;\
      goto SPEC_FAIL;\
    }\
    SPEC_STRUCT->V = tmp;\
  }

#define FLAG(N,V,D,F)\
  if(!flag_aset(sx,#N,DEF_##D,F,&SPEC_STRUCT->V,&err)){\
    err_opt = #N;\
    goto SPEC_FAIL;\
  }

#define STR(N,V)\
  if(!str_aset(sx,#N,DEF_##N,SPEC_STRUCT->V,sizeof(SPEC_STRUCT->V),&err)){\
    err_opt = #N;\
    goto SPEC_FAIL;\
  }

#define IP(N,V)\
  if(!ipv4_aset(sx,#N,DEF_##N,&SPEC_STRUCT->V,&err)){\
    err_opt = #N;\
    goto SPEC_FAIL;\
  }\

#define ADDR(N,V)\
  if(!addr_aset(sx,#N,DEF_##N,&SPEC_STRUCT->V,&err)){\
    err_opt = #N;\
    goto SPEC_FAIL;\
  }\

#define SUBNET(N,V)\
  if(!subnet_aset(sx,#N,DEF_##N,&SPEC_STRUCT->V,&err)){\
    err_opt = #N;\
    goto SPEC_FAIL;\
  }\

#define KEYS(N,V,C,A)\
  if(!keys_aset(sx,#N,SPEC_STRUCT->V,&SPEC_STRUCT->C,A,&err)){\
    err_opt = #N;\
    goto SPEC_FAIL;\
  }\

