#ifndef FS_H
#define FS_H

#include <stdbool.h>
#include <sys/types.h>

bool fs_exists  (char const *path);
bool fs_rename  (char const *path_old,char const *path_new);
bool fs_mkdir   (char const *path,mode_t mode);
bool fs_mkdir_p (char const *path,mode_t mode);
bool fs_rm_f    (char const *path);
bool fs_rmdir_f (char const *path);
bool fs_zero    (char const *path);
bool fs_chown   (char const *path,uid_t uid,gid_t gid);
bool fs_chmod   (char const *path,mode_t mode);
bool fs_chdir   (char const *path);

#endif

