#ifndef LISP_INTERNAL_H
#define LISP_INTERNAL_H

#include "lisp.h"

void        eggog       (char const *msg);
void        check_type  (val_t x,unsigned type);
void        check_list  (val_t x);
inline bool char_white  (char c);
inline bool char_symesc (char c);
val_t       str_begin   (size_t *state);
void        str_abort   (size_t state);
void        str_char    (char c);

inline bool char_white(char c){
  return c == ' '   ||
         c == '\t'  ||
         c == '\r'  ||
         c == '\n';
}

inline bool char_symesc(char c){
  return char_white(c)  ||
         c == '('       ||
         c == ')'       ||
         c == '"'       ||
         c == '\\';
}

static bool none(val_t x){
  return x.type == _TYPE_NONE;
}

#endif

