#ifndef NET_INTERNAL_H
#define NET_INTERNAL_H

#include "def.h"
#include "util.h"
#include <sys/socket.h>

int     sock_udp        (void);
int     sock_unix_dgram (void);
bool    sock_bind_in    (int fd,addr_in_t addr);
bool    sock_bind_un    (int fd,char const *path);
bool    sock_flags      (int fd,uint32_t flags);
bool    sock_bufsize    (int fd,int size);

int     sock_recvfrom   (int            fd,
                         uint8_t       *data,
                         size_t         size,
                         void          *sa,
                         socklen_t     *sa_size,
                         size_t        *size_out);

int     sock_sendto     (int            fd,
                         uint8_t const *data,
                         size_t         size,
                         void          *sa,
                         socklen_t      sa_size,
                         size_t        *size_out);

#endif

