#ifndef UDP_H
#define UDP_H

#include "def.h"
#include <stdint.h>
#include <stddef.h>

#define UDP_HDR_SIZE 8

int udp_bind      (uint16_t       port,
                   uint32_t       flags);
int udp_recvfrom  (int            fd,
                   addr_in_t     *addr_out,
                   uint8_t       *data,
                   size_t         size,
                   size_t        *size_out);
int udp_sendto    (int            fd,
                   addr_in_t      addr,
                   uint8_t const *data,
                   size_t         size,
                   size_t        *size_out);

#endif

