#ifndef HEX_H
#define HEX_H

#include <stddef.h>
#include <stdint.h>
#include <stdbool.h>

#define HEX_LEN(S) ((S)*2)        //FF
#define HEX_BUF(S) (HEX_LEN(S)+1) //FF\0

bool  hex_dec (uint8_t       *buf,
               size_t         buf_size,
               char const    *hex,
               size_t        *size_out); 

void  hex_enc (char          *buf,
               size_t         buf_size,
               uint8_t const *data,
               size_t         data_size);

#endif

