#include "serial.h"

extern uint16_t byteswap16(uint16_t n);
extern uint32_t byteswap32(uint32_t n);
extern uint64_t byteswap64(uint64_t n);

#define __EXTERN_GETSET(NAME_PFIX,TYPE,WIDTH,ENDIAN)\
  extern TYPE get_##NAME_PFIX##WIDTH##ENDIAN(uint8_t const *buf);\
  extern void set_##NAME_PFIX##WIDTH##ENDIAN(uint8_t       *buf,TYPE data);

#define _EXTERN_GETSET(WIDTH)\
  __EXTERN_GETSET(u,uint##WIDTH##_t,WIDTH,le)\
  __EXTERN_GETSET(i, int##WIDTH##_t,WIDTH,le)\
  __EXTERN_GETSET(u,uint##WIDTH##_t,WIDTH,be)\
  __EXTERN_GETSET(i, int##WIDTH##_t,WIDTH,be)

_EXTERN_GETSET(8)
_EXTERN_GETSET(16)
_EXTERN_GETSET(32)
_EXTERN_GETSET(64)

