#ifndef TIME_H
#define TIME_H

#include <stdint.h>
#include <stddef.h>

#define MSEC_SEC           1000ULL

#define USEC_MSEC          1000ULL
#define USEC_SEC        1000000ULL

#define NSEC_USEC          1000ULL
#define NSEC_MSEC       1000000ULL
#define NSEC_SEC     1000000000ULL

#define STAMP_MIN             0ULL
#define STAMP_MAX             ((1ULL<<63)-1)

uint64_t  mono_nsec   (void);
uint64_t  time_sec    (void);

void      sleep_nsec  (size_t nsec);

#endif

